/**
 * {选项卡组件}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/03/06 15:17:25
 */

import { css, html, bind, Component } from '@bd/core'

class Tabs extends Component {
  render() {
    return html`
      <h1>
        父组件内容
        <slot ref="label" name="label">dsds</slot>
      </h1>
      <slot></slot>
    `
  }

  created() {
    console.log(this.root)
    bind(this.root, 'slotchange', ev => {
      let children = ev.target.assignedNodes()

      children.forEach(it => {
        let slot = it.querySelector('[slot=label]')
        this.$refs.label.append(
          slot.cloneNode(true),
          this.$refs.label.firstChild
        )
        slot.remove()
      })
    })
  }
}

class Tab extends Component {
  render() {
    return html`<div class="tab">这是卡片内部</div> `
  }
}

Tabs.reg('tabs')
Tab.reg('tab')
